summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-07-31 19:43:33 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2020-07-31 21:42:06 +0100
commit78ba2013f2aa0f519a6c2e7b5d951ac84319d0df (patch)
tree00e2850504fe4cc2f629ec483423144cf1bdf98a /eclass
parenttoolchain.eclass: drop IUSE=boundschecking support (diff)
downloadgentoo-78ba2013f2aa0f519a6c2e7b5d951ac84319d0df.tar.gz
gentoo-78ba2013f2aa0f519a6c2e7b5d951ac84319d0df.tar.bz2
gentoo-78ba2013f2aa0f519a6c2e7b5d951ac84319d0df.zip
toolchain.eclass: drop support for standalone lang=d
'd' is merged and maintained upstream. Dropped support for external patches. No ::gentoo ebuilds are using it. Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass16
1 files changed, 0 insertions, 16 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 4f4dc83c8d6b..4ba4674f19b7 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -146,7 +146,6 @@ if [[ ${PN} != "kgcc64" && ${PN} != gcc-* ]] ; then
fi
IUSE+=" debug +cxx +nptl" TC_FEATURES+=(nptl)
[[ -n ${PIE_VER} ]] && IUSE+=" nopie"
- [[ -n ${D_VER} ]] && IUSE+=" d"
[[ -n ${SPECS_VER} ]] && IUSE+=" nossp"
# fortran support appeared in 4.1, but 4.1 needs outdated mpfr
tc_version_is_at_least 4.2 && IUSE+=" +fortran" TC_FEATURES+=(fortran)
@@ -378,9 +377,6 @@ get_gcc_src_uri() {
[[ -n ${SPECS_VER} ]] && \
GCC_SRC_URI+=" $(gentoo_urls gcc-${SPECS_GCC_VER}-specs-${SPECS_VER}.tar.bz2)"
- [[ -n ${D_VER} ]] && \
- GCC_SRC_URI+=" d? ( mirror://sourceforge/dgcc/gdc-${D_VER}-src.tar.bz2 )"
-
if tc_has_feature gcj ; then
if tc_version_is_at_least 4.5 ; then
GCC_SRC_URI+=" gcj? ( ftp://sourceware.org/pub/java/ecj-4.5.jar )"
@@ -451,18 +447,6 @@ toolchain_src_prepare() {
export BRANDING_GCC_PKGVERSION="Gentoo ${GCC_PVR}"
cd "${S}"
- if [[ -n ${D_VER} ]] && use d ; then
- mv "${WORKDIR}"/d gcc/d || die
- ebegin "Adding support for the D language"
- ./gcc/d/setup-gcc.sh >& "${T}"/dgcc.log
- if ! eend $? ; then
- eerror "The D GCC package failed to apply"
- eerror "Please include this log file when posting a bug report:"
- eerror " ${T}/dgcc.log"
- die "failed to include the D language"
- fi
- fi
-
do_gcc_gentoo_patches
do_gcc_PIE_patches
do_gcc_CYGWINPORTS_patches